Project

General

Profile

Actions

Backport #5546

closed

Bus error in Complex.rationalize

Added by pragdave (Dave Thomas) about 10 years ago. Updated about 10 years ago.

Status:
Closed
Priority:
Normal
[ruby-core:40667]

Description

This only happens if you pass in a parameter to rationalize.

=begin
dave[ruby3/Book 20:05:52] ruby -ve 'p Complex(2.5, 0).rationalize(1)'
ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]
-e:1: [BUG] Segmentation fault
ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]

-- Control frame information -----------------------------------------------
c:0005 p:---- s:0013 b:0013 l:000012 d:000012 CFUNC :rationalize
c:0004 p:---- s:0011 b:0011 l:000010 d:000010 CFUNC :rationalize
c:0003 p:0022 s:0007 b:0006 l:000c98 d:0011c8 EVAL -e:1
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:000c98 d:000c98 TOP

-- Ruby level backtrace information ----------------------------------------
-e:1:in <main>'
-e:1:in
rationalize'
-e:1:in `rationalize'

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or
/Library/Logs/CrashReporter, for the more detail of.

-- Other runtime information -----------------------------------------------

  • Loaded script: -e

  • Loaded features:

0 enumerator.so
1 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/enc/encdb.bundle
2 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/enc/trans/transdb.bundle
3 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/defaults.rb
4 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/rbconfig.rb
5 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/deprecate.rb
6 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/exceptions.rb
7 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb
8 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems.rb

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html
=end

Actions

Also available in: Atom PDF